---
title: XRFrame.session
slug: Web/API/XRFrame/session
tags:
  - API
  - AR
  - Augmented Reality
  - Property
  - Reference
  - Session
  - VR
  - Virtual Reality
  - WebXR
  - WebXR Device API
  - XR
  - XRFrame
---
<div>{{APIRef("WebXR Device API")}}</div>

<p><span class="seoSummary">An <code>XRFrame</code> object's <em>read-only</em> <code><strong>session</strong></code> property returns the {{domxref("XRSession")}} object that generated the frame.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var<em> xrSession = xrFrame</em>.session;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("XRSession")}} object representing the WebXR session for which this <code>XRFrame</code> describes the object positions and orientations.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebXR","#dom-xrframe-session","XRFrame.session")}}</td>
   <td>{{Spec2("WebXR")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.XRFrame.session")}}</div>
